diff --git a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceBaseImpl.java b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceBaseImpl.java
index 1dccc5f4699..b3020a3d54a 100644
--- a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceBaseImpl.java
+++ b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceBaseImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.testpacl.service.base;
@@ -80,7 +80,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @return the foo that was added
 	 */
 	@Indexable(type = IndexableType.REINDEX)
-	@Override
+
 	public Foo addFoo(Foo foo) {
 		foo.setNew(true);
 
@@ -93,7 +93,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @param fooId the primary key for the new foo
 	 * @return the new foo
 	 */
-	@Override
+
 	public Foo createFoo(long fooId) {
 		return fooPersistence.create(fooId);
 	}
@@ -106,7 +106,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @throws PortalException if a foo with the primary key could not be found
 	 */
 	@Indexable(type = IndexableType.DELETE)
-	@Override
+
 	public Foo deleteFoo(long fooId) throws PortalException {
 		return fooPersistence.remove(fooId);
 	}
@@ -118,12 +118,12 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @return the foo that was removed
 	 */
 	@Indexable(type = IndexableType.DELETE)
-	@Override
+
 	public Foo deleteFoo(Foo foo) {
 		return fooPersistence.remove(foo);
 	}
 
-	@Override
+
 	public DynamicQuery dynamicQuery() {
 		Class<?> clazz = getClass();
 
@@ -137,7 +137,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @param dynamicQuery the dynamic query
 	 * @return the matching rows
 	 */
-	@Override
+
 	public <T> List<T> dynamicQuery(DynamicQuery dynamicQuery) {
 		return fooPersistence.findWithDynamicQuery(dynamicQuery);
 	}
@@ -154,7 +154,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @param end the upper bound of the range of model instances (not inclusive)
 	 * @return the range of matching rows
 	 */
-	@Override
+
 	public <T> List<T> dynamicQuery(DynamicQuery dynamicQuery, int start,
 		int end) {
 		return fooPersistence.findWithDynamicQuery(dynamicQuery, start, end);
@@ -173,7 +173,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching rows
 	 */
-	@Override
+
 	public <T> List<T> dynamicQuery(DynamicQuery dynamicQuery, int start,
 		int end, OrderByComparator<T> orderByComparator) {
 		return fooPersistence.findWithDynamicQuery(dynamicQuery, start, end,
@@ -186,7 +186,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @param dynamicQuery the dynamic query
 	 * @return the number of rows matching the dynamic query
 	 */
-	@Override
+
 	public long dynamicQueryCount(DynamicQuery dynamicQuery) {
 		return fooPersistence.countWithDynamicQuery(dynamicQuery);
 	}
@@ -198,13 +198,13 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @param projection the projection to apply to the query
 	 * @return the number of rows matching the dynamic query
 	 */
-	@Override
+
 	public long dynamicQueryCount(DynamicQuery dynamicQuery,
 		Projection projection) {
 		return fooPersistence.countWithDynamicQuery(dynamicQuery, projection);
 	}
 
-	@Override
+
 	public Foo fetchFoo(long fooId) {
 		return fooPersistence.fetchByPrimaryKey(fooId);
 	}
@@ -216,12 +216,12 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @return the foo
 	 * @throws PortalException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo getFoo(long fooId) throws PortalException {
 		return fooPersistence.findByPrimaryKey(fooId);
 	}
 
-	@Override
+
 	public ActionableDynamicQuery getActionableDynamicQuery() {
 		ActionableDynamicQuery actionableDynamicQuery = new DefaultActionableDynamicQuery();
 
@@ -234,7 +234,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 		return actionableDynamicQuery;
 	}
 
-	@Override
+
 	public IndexableActionableDynamicQuery getIndexableActionableDynamicQuery() {
 		IndexableActionableDynamicQuery indexableActionableDynamicQuery = new IndexableActionableDynamicQuery();
 
@@ -259,13 +259,13 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	/**
 	 * @throws PortalException
 	 */
-	@Override
+
 	public PersistedModel deletePersistedModel(PersistedModel persistedModel)
 		throws PortalException {
 		return fooLocalService.deleteFoo((Foo)persistedModel);
 	}
 
-	@Override
+
 	public PersistedModel getPersistedModel(Serializable primaryKeyObj)
 		throws PortalException {
 		return fooPersistence.findByPrimaryKey(primaryKeyObj);
@@ -282,7 +282,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of foos
 	 */
-	@Override
+
 	public List<Foo> getFoos(int start, int end) {
 		return fooPersistence.findAll(start, end);
 	}
@@ -292,7 +292,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 *
 	 * @return the number of foos
 	 */
-	@Override
+
 	public int getFoosCount() {
 		return fooPersistence.countAll();
 	}
@@ -304,7 +304,7 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 * @return the foo that was updated
 	 */
 	@Indexable(type = IndexableType.REINDEX)
-	@Override
+
 	public Foo updateFoo(Foo foo) {
 		return fooPersistence.update(foo);
 	}
@@ -570,12 +570,12 @@ public abstract class FooLocalServiceBaseImpl extends BaseLocalServiceImpl
 	 *
 	 * @return the OSGi service identifier
 	 */
-	@Override
+
 	public String getOSGiServiceIdentifier() {
 		return FooLocalService.class.getName();
 	}
 
-	@Override
+
 	public Object invokeMethod(String name, String[] parameterTypes,
 		Object[] arguments) throws Throwable {
 		Thread currentThread = Thread.currentThread();
diff --git a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceClpInvoker.java b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceClpInvoker.java
index 9ef819ed385..fe274f10810 100644
--- a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceClpInvoker.java
+++ b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/base/FooLocalServiceClpInvoker.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.testpacl.service.base;
diff --git a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/impl/FooLocalServiceImpl.java b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/impl/FooLocalServiceImpl.java
index ca7c96d0242..5b94576f620 100644
--- a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/impl/FooLocalServiceImpl.java
+++ b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/impl/FooLocalServiceImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.testpacl.service.impl;
@@ -38,103 +38,103 @@ import java.util.List;
  */
 public class FooLocalServiceImpl extends FooLocalServiceBaseImpl {
 
-	@Override
+
 	public Company getCompanyPersistence_FindByPrimaryKey(long companyId)
 		throws PortalException {
 
 		return companyPersistence.findByPrimaryKey(companyId);
 	}
 
-	@Override
+
 	public Company getCompanyUtil_FindByPrimaryKey(long companyId)
 		throws PortalException {
 
 		return CompanyUtil.findByPrimaryKey(companyId);
 	}
 
-	@Override
+
 	public List<Entry> getEntryLocalServiceUtil_GetEntries(int start, int end) {
 		return EntryLocalServiceUtil.getEntries(start, end);
 	}
 
-	@Override
+
 	public Entry getEntryLocalServiceUtil_GetEntry(long entryId)
 		throws PortalException {
 
 		return EntryLocalServiceUtil.getEntry(entryId);
 	}
 
-	@Override
+
 	public Group getGroupPersistence_FindByPrimaryKey(long groupId)
 		throws PortalException {
 
 		return groupPersistence.findByPrimaryKey(groupId);
 	}
 
-	@Override
+
 	public Group getGroupUtil_FindByPrimaryKey(long groupId)
 		throws PortalException {
 
 		return GroupUtil.findByPrimaryKey(groupId);
 	}
 
-	@Override
+
 	public int getPortalService_GetBuildNumber() {
 		return portalService.getBuildNumber();
 	}
 
-	@Override
+
 	public int getPortalService_TestGetBuildNumber() {
 		return portalService.testGetBuildNumber();
 	}
 
-	@Override
+
 	public boolean getPortalService_TestHasClassName() {
 		return portalService.testHasClassName();
 	}
 
-	@Override
+
 	public int getPortalServiceUtil_GetBuildNumber() {
 		return PortalServiceUtil.getBuildNumber();
 	}
 
-	@Override
+
 	public int getPortalServiceUtil_TestGetBuildNumber() {
 		return PortalServiceUtil.testGetBuildNumber();
 	}
 
-	@Override
+
 	public boolean getPortalServiceUtil_TestHasClassName() {
 		return PortalServiceUtil.testHasClassName();
 	}
 
-	@Override
+
 	public int getReleaseInfo_GetBuildNumber() {
 		return ReleaseInfo.getBuildNumber();
 	}
 
-	@Override
+
 	public Status getStatusLocalServiceUtil_GetStatus(long statusId)
 		throws PortalException {
 
 		return StatusLocalServiceUtil.getStatus(statusId);
 	}
 
-	@Override
+
 	public List<Status> getStatusLocalServiceUtil_GetStatuses(
 		int start, int end) {
 
 		return StatusLocalServiceUtil.getStatuses(start, end);
 	}
 
-	@Override
+
 	public User getUserPersistence_FindByPrimaryKey(long userId)
 		throws PortalException {
 
 		return userPersistence.findByPrimaryKey(userId);
 	}
 
-	@Override
+
 	public User getUserUtil_FindByPrimaryKey(long userId)
 		throws PortalException {
 
diff --git a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/persistence/impl/FooPersistenceImpl.java b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/persistence/impl/FooPersistenceImpl.java
index 7a7a310937c..9f0d535aa0f 100644
--- a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/persistence/impl/FooPersistenceImpl.java
+++ b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/service/persistence/impl/FooPersistenceImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.testpacl.service.persistence.impl;
@@ -116,7 +116,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field2 the field2
 	 * @return the matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2) {
 		return findByField2(field2, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -133,7 +133,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2, int start, int end) {
 		return findByField2(field2, start, end, null);
 	}
@@ -151,7 +151,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2, int start, int end,
 		OrderByComparator<Foo> orderByComparator) {
 		return findByField2(field2, start, end, orderByComparator, true);
@@ -171,7 +171,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2, int start, int end,
 		OrderByComparator<Foo> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -279,7 +279,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the first matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByField2_First(boolean field2,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByField2_First(field2, orderByComparator);
@@ -307,7 +307,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByField2_First(boolean field2,
 		OrderByComparator<Foo> orderByComparator) {
 		List<Foo> list = findByField2(field2, 0, 1, orderByComparator);
@@ -327,7 +327,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the last matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByField2_Last(boolean field2,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByField2_Last(field2, orderByComparator);
@@ -355,7 +355,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByField2_Last(boolean field2,
 		OrderByComparator<Foo> orderByComparator) {
 		int count = countByField2(field2);
@@ -383,7 +383,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the previous, current, and next foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo[] findByField2_PrevAndNext(long fooId, boolean field2,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = findByPrimaryKey(fooId);
@@ -524,7 +524,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param field2 the field2
 	 */
-	@Override
+
 	public void removeByField2(boolean field2) {
 		for (Foo foo : findByField2(field2, QueryUtil.ALL_POS,
 				QueryUtil.ALL_POS, null)) {
@@ -538,7 +538,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field2 the field2
 	 * @return the number of matching foos
 	 */
-	@Override
+
 	public int countByField2(boolean field2) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_FIELD2;
 
@@ -594,7 +594,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param foo the foo
 	 */
-	@Override
+
 	public void cacheResult(Foo foo) {
 		entityCache.putResult(FooModelImpl.ENTITY_CACHE_ENABLED, FooImpl.class,
 			foo.getPrimaryKey(), foo);
@@ -607,7 +607,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param foos the foos
 	 */
-	@Override
+
 	public void cacheResult(List<Foo> foos) {
 		for (Foo foo : foos) {
 			if (entityCache.getResult(FooModelImpl.ENTITY_CACHE_ENABLED,
@@ -627,7 +627,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * The {@link EntityCache} and {@link FinderCache} are both cleared by this method.
 	 * </p>
 	 */
-	@Override
+
 	public void clearCache() {
 		entityCache.clearCache(FooImpl.class);
 
@@ -643,7 +643,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * The {@link EntityCache} and {@link FinderCache} are both cleared by this method.
 	 * </p>
 	 */
-	@Override
+
 	public void clearCache(Foo foo) {
 		entityCache.removeResult(FooModelImpl.ENTITY_CACHE_ENABLED,
 			FooImpl.class, foo.getPrimaryKey());
@@ -652,7 +652,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		finderCache.clearCache(FINDER_CLASS_NAME_LIST_WITHOUT_PAGINATION);
 	}
 
-	@Override
+
 	public void clearCache(List<Foo> foos) {
 		finderCache.clearCache(FINDER_CLASS_NAME_LIST_WITH_PAGINATION);
 		finderCache.clearCache(FINDER_CLASS_NAME_LIST_WITHOUT_PAGINATION);
@@ -669,7 +669,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param fooId the primary key for the new foo
 	 * @return the new foo
 	 */
-	@Override
+
 	public Foo create(long fooId) {
 		Foo foo = new FooImpl();
 
@@ -688,7 +688,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo that was removed
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo remove(long fooId) throws NoSuchFooException {
 		return remove((Serializable)fooId);
 	}
@@ -700,7 +700,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo that was removed
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo remove(Serializable primaryKey) throws NoSuchFooException {
 		Session session = null;
 
@@ -731,7 +731,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		}
 	}
 
-	@Override
+
 	protected Foo removeImpl(Foo foo) {
 		foo = toUnwrappedModel(foo);
 
@@ -762,7 +762,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		return foo;
 	}
 
-	@Override
+
 	public Foo updateImpl(Foo foo) {
 		foo = toUnwrappedModel(foo);
 
@@ -877,7 +877,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo findByPrimaryKey(Serializable primaryKey)
 		throws NoSuchFooException {
 		Foo foo = fetchByPrimaryKey(primaryKey);
@@ -901,7 +901,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo findByPrimaryKey(long fooId) throws NoSuchFooException {
 		return findByPrimaryKey((Serializable)fooId);
 	}
@@ -912,7 +912,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param primaryKey the primary key of the foo
 	 * @return the foo, or <code>null</code> if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo fetchByPrimaryKey(Serializable primaryKey) {
 		Foo foo = (Foo)entityCache.getResult(FooModelImpl.ENTITY_CACHE_ENABLED,
 				FooImpl.class, primaryKey);
@@ -957,12 +957,12 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param fooId the primary key of the foo
 	 * @return the foo, or <code>null</code> if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo fetchByPrimaryKey(long fooId) {
 		return fetchByPrimaryKey((Serializable)fooId);
 	}
 
-	@Override
+
 	public Map<Serializable, Foo> fetchByPrimaryKeys(
 		Set<Serializable> primaryKeys) {
 		if (primaryKeys.isEmpty()) {
@@ -1059,7 +1059,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @return the foos
 	 */
-	@Override
+
 	public List<Foo> findAll() {
 		return findAll(QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -1075,7 +1075,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of foos
 	 */
-	@Override
+
 	public List<Foo> findAll(int start, int end) {
 		return findAll(start, end, null);
 	}
@@ -1092,7 +1092,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of foos
 	 */
-	@Override
+
 	public List<Foo> findAll(int start, int end,
 		OrderByComparator<Foo> orderByComparator) {
 		return findAll(start, end, orderByComparator, true);
@@ -1111,7 +1111,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of foos
 	 */
-	@Override
+
 	public List<Foo> findAll(int start, int end,
 		OrderByComparator<Foo> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -1198,7 +1198,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * Removes all the foos from the database.
 	 *
 	 */
-	@Override
+
 	public void removeAll() {
 		for (Foo foo : findAll()) {
 			remove(foo);
@@ -1210,7 +1210,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @return the number of foos
 	 */
-	@Override
+
 	public int countAll() {
 		Long count = (Long)finderCache.getResult(FINDER_PATH_COUNT_ALL,
 				FINDER_ARGS_EMPTY, this);
@@ -1242,7 +1242,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		return count.intValue();
 	}
 
-	@Override
+
 	protected Map<String, Integer> getTableColumnsMap() {
 		return FooModelImpl.TABLE_COLUMNS_MAP;
 	}
@@ -1274,19 +1274,19 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	private static final String _NO_SUCH_ENTITY_WITH_KEY = "No Foo exists with the key {";
 	private static final Log _log = LogFactoryUtil.getLog(FooPersistenceImpl.class);
 	private static final Foo _nullFoo = new FooImpl() {
-			@Override
+
 			public Object clone() {
 				return this;
 			}
 
-			@Override
+
 			public CacheModel<Foo> toCacheModel() {
 				return _nullFooCacheModel;
 			}
 		};
 
 	private static final CacheModel<Foo> _nullFooCacheModel = new CacheModel<Foo>() {
-			@Override
+
 			public Foo toEntityModel() {
 				return _nullFoo;
 			}
diff --git a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServlet.java b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServlet.java
index 22be76927ad..53aca1af749 100644
--- a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServlet.java
+++ b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServlet.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.testpacl.servlet;
@@ -27,12 +27,12 @@ public class TestPACLServlet extends HttpServlet {
 		TestPACLUtil.testWriteFile();
 	}
 
-	@Override
+
 	public void destroy() {
 		TestPACLUtil.testWriteFile();
 	}
 
-	@Override
+
 	public void init() {
 		TestPACLUtil.testWriteFile();
 	}
diff --git a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServletContextListener.java b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServletContextListener.java
index dec584092e0..da76923d7cb 100644
--- a/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServletContextListener.java
+++ b/portlets/test-pacl-portlet/docroot/WEB-INF/src/com/liferay/testpacl/servlet/TestPACLServletContextListener.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.testpacl.servlet;
@@ -28,12 +28,12 @@ public class TestPACLServletContextListener implements ServletContextListener {
 		TestPACLUtil.testWriteFile();
 	}
 
-	@Override
+
 	public void contextDestroyed(ServletContextEvent servletContextEvent) {
 		TestPACLUtil.testWriteFile();
 	}
 
-	@Override
+
 	public void contextInitialized(ServletContextEvent servletContextEvent) {
 		TestPACLUtil.testWriteFile();
 	}
